Customers Admin API

Get a customer

GET /api/v1/customers/{uid}

Parameters
uid string required path
The customer's uid.
Responses
200 The customer, its users, contact details and current subscription.
401 The token is missing or wrong (Unauthenticated.), or its user may not act on this object (Unauthorized). Without the Accept: application/json header, a missing or wrong token answers with a redirect to the sign-in page instead.
404 No customer has this uid.
Get a customer
1 2 3
curl 'https://your-domain/api/v1/customers/6adaabb568fda' \
  -H "Accept: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
1 2
$client = new Acelle\Client('https://your-domain/api/v1', 'YOUR_API_TOKEN');
$client->customer()->find('6adaabb568fda');
Response
{
    "customer": {
        "uid": "6adaabb568fda",
        "name": "Awesome Solutions",
        "timezone": "Asia/Tokyo",
        "status": "active",
        "users": [
            {
                "uid": "6adaabb567bf6",
                "api_token": "YOUR_API_TOKEN",
                "one_time_api_token": null,
                "first_name": "Emma",
                "last_name": "Tanaka",
                "email": "emma@example.com",
                "is_activated": 1,
                "role": "Full Access",
                "phone": null,
                "updated_at": "2026-10-23T00:35:01.000000Z",
                "created_at": "2025-12-14T00:00:00.000000Z"
            }
        ],
        "current_subscription": {
            "uid": "6adaabbcdbd1e",
            "plan_name": "Standard",
            "current_period_ends_at": "2027-10-23T00:35:08.000000Z",
            "cancelled_at": null,
            "terminated_at": null,
            "status": "active"
        }
    }
}